<link rel="import" href="frontend://bower_components/menu-bar/menu-bar.html">

<uibuilder-page>
    <menu-bar>
        <menu-item name="Home" on-activate="flow:home"></menu-item>

        <has-permission name="list">
            <menu-item name="List students" on-activate="flow:listStudents"></menu-item>
        </has-permission>

        <has-permission name="edit">
            <menu-item name="Edit students">
                <menu-item name="Edit with crud panel" on-activate="flow:editWithCrud"></menu-item>
                <menu-item name="Edit with window" on-activate="flow:editWithWindow"></menu-item>
            </menu-item>
        </has-permission>

        <lacks-all-permission name="edit, list">
            <menu-item name="Login" on-activate="flow:login" right></menu-item>
        </lacks-all-permission>

        <has-any-permission name="edit, list">
            <menu-item name="{{loginController.userMenuName}}" right>
                <menu-item name="Logout" on-activate="loginController::logout"></menu-item>
            </menu-item>
        </has-any-permission>
    </menu-bar>

    <div style="width: 90%; margin: auto">
        <uibuilder-page id="baseContainer" href="/webapp/welcome.html"></uibuilder-page>
    </div>
</uibuilder-page>